#include <mp4lib/mp4.h>

int get_mdhd(FILE *fh, mdhd_t *mdhd, atom_t *atom)
{
  atom_t child_atom;
  unsigned char Buf[4];

#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  ff_atom(fh, atom, 12); /* Skip version, flags, create/mod times */
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  if ((fread(Buf, 1, 4, fh)) < 4) {
    mdhd->timescale = 0;
    return 0;
  }
  mdhd->timescale = str2int(Buf, 4);
  atom->pos += 4;
  if ((fread(Buf, 1, 4, fh)) < 4) {
    mdhd->duration = 0;
    return 0;
  }
  mdhd->duration = str2int(Buf, 4);
  atom->pos += 4;

  skip_atom(fh, atom);
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  return 1;
}

void init_mdhd(mdhd_t *mdhd)
{
  mdhd->timescale = 0;
  mdhd->duration = 0;
}
