#include <mp4lib/mp4.h>

int get_mvhd(FILE *fh, mvhd_t *mvhd, atom_t *atom)
{
  atom_t child_atom;
  unsigned char Buf[4];

#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  ff_atom(fh, atom, 12); /* Skip version, flags, create/mod times */
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  if ((fread(Buf, 1, 4, fh)) < 4) {
    mvhd->timescale = 0;
    return 0;
  }
  mvhd->timescale = str2int(Buf, 4);
  atom->pos += 4;
  if ((fread(Buf, 1, 4, fh)) < 4) {
    mvhd->duration = 0;
    return 0;
  }
  mvhd->duration = str2int(Buf, 4);
  atom->pos += 4;

  skip_atom(fh, atom);
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  return 1;
}

void init_mvhd(mvhd_t *mvhd)
{
  mvhd->timescale = 0;
  mvhd->duration = 0;
}
