#include "mp4.h"

int get_CONTATOM(FILE *fh, CONTATOM_t *CONTATOM, atom_t *atom)
{
  atom_t child_atom;

  do {
    atom_head(fh, &child_atom);

    if (atomid(child_atom.name) == atomid("CHILD1")) {
      get_CHILD1(fh, &(CONTATOM->CHILD1), &child_atom);
/*    } else if (atomid(child_atom.name) == atomid("CHILD2")) { */
/*      get_CHILD2(fh, &(CONTATOM->CHILD2), &child_atom); */
    } else {
      skip_atom(fh, &child_atom);
    }
    atom->pos += child_atom.size;
  } while (atom->pos < atom->size);

  skip_atom(fh, atom);
  return 1;
}

void init_CONTATOM(CONTATOM_t *CONTATOM)
{
  int i;

  init_CHILD1(&(CONTATOM->CHILD1));
}

void clear_CONTATOM(CONTATOM_t *CONTATOM)
{
  init_CHILD1(&(CHILD1));
}
