#include <mp4lib/mp4.h>

int get_smhd(FILE *fh, smhd_t *smhd, atom_t *atom)
{
  atom_t child_atom;
  unsigned char Buf[2];

#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  ff_atom(fh, atom, 4); /* Skip version, flags */
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  if ((fread(Buf, 1, 2, fh)) < 2) {
    bzero(smhd->balance, 2);
    return 0;
  }
  memcpy(smhd->balance, Buf, 2);
  atom->pos += 2;
  smhd->is_audio = 1;

  skip_atom(fh, atom);
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  return 1;
}

void init_smhd(smhd_t *smhd)
{
  bzero(smhd->balance, 2);
  smhd->is_audio = 0;
}
