#include "mp4.h"

int main(int argc, char *argv[])
{
  MP4FileHandle DumpFile;
  u_int8_t audiotype;

  if (! (argc > 1)) {
    printf("Usage: %s <file-to-parse>\n", argv[0]);
    return 0;
  } else {
    DumpFile = MP4Read(argv[1], 1);
    MP4Dump(DumpFile, stdout, 1);
    audiotype = MP4GetTrackAudioType(DumpFile, 1);
    printf("%02X\n", audiotype);
    MP4Close(DumpFile);
  }
}
