/* Genre list. Lifted from xmms' vorbis plugin, which borrows
 * from mpg123.c
 * This is to handle the "gnre" meta-data atom. The "(c)gen"
 * atom does things id3v2-style, having the actual name of the
 * genre to cover the chance that someone might make one up. */

#ifndef GENRES_H
#define GENRES_H

const char *genre_list[] = {
                            "Blues",
                            "Classic Rock",
                            "Country",
                            "Dance",
                            "Disco",
                            "Funk",
                            "Grunge",
                            "Hip-Hop",
                            "Jazz",
                            "Metal",
                            "New Age",
                            "Oldies",
                            "Other",
                            "Pop",
                            "R&B",
                            "Rap",
                            "Reggae",
                            "Rock",
                            "Techno",
                            "Industrial",
                            "Alternative",
                            "Ska",
                            "Death Metal",
                            "Pranks",
                            "Soundtrack",
                            "Euro-Techno",
                            "Ambient",
                            "Trip-Hop",
                            "Vocal",
                            "Jazz+Funk",
                            "Fusion",
                            "Trance",
                            "Classical",
                            "Instrumental",
                            "Acid",
                            "House",
                            "Game",
                            "Sound Clip",
                            "Gospel",
                            "Noise",
                            "AlternRock",
                            "Bass",
                            "Soul",
                            "Punk",
                            "Space",
                            "Meditative",
                            "Instrumental Pop",
                            "Instrumental Rock",
                            "Ethnic",
                            "Gothic",
                            "Darkwave",
                            "Techno-Industrial",
                            "Electronic",
                            "Pop-Folk",
                            "Eurodance",
                            "Dream",
                            "Southern Rock",
                            "Comedy",
                            "Cult",
                            "Gangsta Rap",
                            "Top 40",
                            "Christian Rap",
                            "Pop/Funk",
                            "Jungle",
                            "Native American",
                            "Cabaret",
                            "New Wave",
                            "Psychedelic",
                            "Rave",
                            "Showtunes",
                            "Trailer",
                            "Lo-Fi",
                            "Tribal",
                            "Acid Punk",
                            "Acid Jazz",
                            "Polka",
                            "Retro",
                            "Musical",
                            "Rock & Roll",
                            "Hard Rock",
                            "Folk",
                            "Folk/Rock",
                            "National Folk",
                            "Swing",
                            "Fast-Fusion",
                            "Bebob",
                            "Latin",
                            "Revival",
                            "Celtic",
                            "Bluegrass",
                            "Avantgarde",
                            "Gothic Rock",
                            "Progressive Rock",
                            "Psychedelic Rock",
                            "Symphonic Rock",
                            "Slow Rock",
                            "Big Band",
                            "Chorus",
                            "Easy Listening",
                            "Acoustic",
                            "Humour",
                            "Speech",
                            "Chanson",
                            "Opera",
                            "Chamber Music",
                            "Sonata",
                            "Symphony",
                            "Booty Bass",
                            "Primus",
                            "Porn Groove",
                            "Satire",
                            "Slow Jam",
                            "Club",
                            "Tango",
                            "Samba",
                            "Folklore",
                            "Ballad",
                            "Power Ballad",
                            "Rhythmic Soul",
                            "Freestyle",
                            "Duet",
                            "Punk Rock",
                            "Drum Solo",
                            "A Cappella",
                            "Euro-House",
                            "Dance Hall",
                            "Goa",
                            "Drum & Bass",
                            "Club-House",
                            "Hardcore",
                            "Terror",
                            "Indie",
                            "BritPop",
                            "Negerpunk",
                            "Polsk Punk",
                            "Beat",
                            "Christian Gangsta Rap",
                            "Heavy Metal",
                            "Black Metal",
                            "Crossover",
                            "Contemporary Christian",
                            "Christian Rock",
                            "Merengue",
                            "Salsa",
                            "Thrash Metal",
                            "Anime",
                            "JPop",
                            "Synthpop"
                           };

#endif /* GENRES_H */
