#include <mp4lib/mp4.h>

int get_hdlr(FILE *fh, hdlr_t *hdlr, atom_t *atom)
{
  atom_t child_atom;
  unsigned char Buf[4];

#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  ff_atom(fh, atom, 4); /* Skip version, flags */
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  if ((fread(Buf, 1, 4, fh)) < 4) {
    bzero(hdlr->component_type, 4);
    return 0;
  }
  memcpy(hdlr->component_type, Buf, 4);
  atom->pos += 4;
  if ((fread(Buf, 1, 4, fh)) < 4) {
    bzero(hdlr->component_subtype, 4);
    return 0;
  }
  memcpy(hdlr->component_subtype, Buf, 4);
  atom->pos += 4;

  skip_atom(fh, atom);
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  return 1;
}

void init_hdlr(hdlr_t *hdlr)
{
  bzero(hdlr->component_type, 4);
  bzero(hdlr->component_subtype, 4);
}
