#include "mp4.h"

void init_DATAATOM_t(DATAATOM_t_t *t)
{
  t->SUBITEM = 0;
}

void clear_DATAATOM_t(DATAATOM_t_t *t)
{
  t->SUBITEM = 0;
}

int get_DATAATOM_t(FILE *fh, DATAATOM_t_t *t, atom_t *atom)
{
/*  do {
    atom_t child_atom;
    atom_head(fh, &child_atom);

    if (atomid(child_atom.name) == atomid("CHILD1")) {
      get_CHILD1(fh, &(DATAATOM->CHILD1), &child_atom); */
/*    } else if (atomid(child_atom.name) == atomid("CHILD2")) { */
/*      get_CHILD2(fh, &(DATAATOM->CHILD2), &child_atom); */
/*    } else {
      skip_atom(fh, &child_atom);
    }
    atom->pos += child_atom.size;
  } while (atom->pos < atom->size); */
}

int get_DATAATOM(FILE *fh, DATAATOM_t *DATAATOM, atom_t *atom)
{
  unsigned char Buf[4];
  u_int32_t i;

#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  ff_atom(fh, atom, 4); /* Skip version, flags */
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  if ((fread(Buf, 1, 4, fh)) < 4) {
    DATAATOM->entries = 0;
    return 0;
  }
  DATAATOM->entries = str2int(Buf, 4);
  atom->pos += 4;
  DATAATOM->t = (DATAATOM_t_t *) malloc(sizeof(DATAATOM_t_t) * DATAATOM->entries);
  for (i = 0; i < DATAATOM->entries; i++) {
    init_DATAATOM_t(&(DATAATOM->t[i]));
    get_DATAATOM_t(fh, &(DATAATOM->t[i]), atom);
  }

  skip_atom(fh, atom);
#ifdef DEBUG
  printf("Current file position %08X\n", ftell(fh));
#endif
  return 1;
}

void init_DATAATOM(DATAATOM_t *DATAATOM)
{
  DATAATOM->entries = 0;
  DATAATOM->t = NULL;
}

void clear_DATAATOM(DATAATOM_t *DATAATOM)
{
  if (DATAATOM->entries) {
    u_int32_t i;

    for (i = 0; i < DATAATOM->entries; i++) {
      clear_DATAATOM_t(&(DATAATOM->t));
    }
    free(DATAATOM->t);
    DATAATOM->entries = 0;
  }
}
